curl -X GET "https://call.aiployees.com/api/user/whatsapp/senders" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"data": [
{
"id": 12,
"phone_number": "+14155551234",
"display_name": "Acme Corp Support",
"status": "online",
"quality_rating": "GREEN",
"messaging_limit": 10000,
"messaging_limit_formatted": "10,000 / 24hr"
},
{
"id": 15,
"phone_number": "+442071234567",
"display_name": "Acme Corp Sales",
"status": "online",
"quality_rating": "GREEN",
"messaging_limit": null,
"messaging_limit_formatted": "Unlimited"
}
]
}
List all WhatsApp Business senders for the authenticated user
curl -X GET "https://call.aiployees.com/api/user/whatsapp/senders" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"data": [
{
"id": 12,
"phone_number": "+14155551234",
"display_name": "Acme Corp Support",
"status": "online",
"quality_rating": "GREEN",
"messaging_limit": 10000,
"messaging_limit_formatted": "10,000 / 24hr"
},
{
"id": 15,
"phone_number": "+442071234567",
"display_name": "Acme Corp Sales",
"status": "online",
"quality_rating": "GREEN",
"messaging_limit": null,
"messaging_limit_formatted": "Unlimited"
}
]
}
online. Use all to return all senders regardless of status.Show Sender object properties
+14155551234)online or offlineGREEN, YELLOW, or REDnull means unlimited.1,000 / 24hr, 10,000 / 24hr, or Unlimited)curl -X GET "https://call.aiployees.com/api/user/whatsapp/senders" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"data": [
{
"id": 12,
"phone_number": "+14155551234",
"display_name": "Acme Corp Support",
"status": "online",
"quality_rating": "GREEN",
"messaging_limit": 10000,
"messaging_limit_formatted": "10,000 / 24hr"
},
{
"id": 15,
"phone_number": "+442071234567",
"display_name": "Acme Corp Sales",
"status": "online",
"quality_rating": "GREEN",
"messaging_limit": null,
"messaging_limit_formatted": "Unlimited"
}
]
}
online are returned by default. Use ?status=all to include offline senders.id field is what you need to pass as sender_id when sending messages.RED rating may restrict your ability to send messages.